document.addEventListener('DOMContentLoaded', () => {
  const newEntryBtn = document.querySelector('.new-entry-btn');
  const entryForm = document.querySelector('.entry-form');
  const behaviorForm = document.getElementById('behaviorForm');
  const entriesList = document.getElementById('entriesList');

  let entries = JSON.parse(localStorage.getItem('catEntries')) || [];

  newEntryBtn.addEventListener('click', () => {
    entryForm.classList.toggle('hidden');
  });

  behaviorForm.addEventListener('submit', (e) => {
    e.preventDefault();
    
    const behavior = document.getElementById('behavior').value;
    const notes = document.getElementById('notes').value;
    const timestamp = new Date().toLocaleString();

    const entry = {
      behavior,
      notes,
      timestamp
    };

    entries.unshift(entry);
    localStorage.setItem('catEntries', JSON.stringify(entries));
    
    displayEntries();
    behaviorForm.reset();
    entryForm.classList.add('hidden');
  });

  function displayEntries() {
    entriesList.innerHTML = entries.map(entry => `
      <div class="entry-card">
        <h3>${entry.behavior}</h3>
        <p>${entry.notes}</p>
        <small>${entry.timestamp}</small>
      </div>
    `).join('');
  }

  displayEntries();
});
